curl --fail-with-body -X POST "$RAWCHUNKS_API/api/generation/format" \
-H "Content-Type: application/json" \
--data "$(jq -nc '{
"prompt": "acid house with a dry kick",
"lyrics": "[Verse]\nThe city hums below"
}')"
{
"formatted_caption": "<string>",
"formatted_lyrics": "<string>"
}Generation
Format lyrics and description
Format a music description and optional lyrics.
POST
/
api
/
generation
/
format
curl --fail-with-body -X POST "$RAWCHUNKS_API/api/generation/format" \
-H "Content-Type: application/json" \
--data "$(jq -nc '{
"prompt": "acid house with a dry kick",
"lyrics": "[Verse]\nThe city hums below"
}')"
{
"formatted_caption": "<string>",
"formatted_lyrics": "<string>"
}This returns text, not audio. Prepare lyrics and settings.
JSON body
string
required
Minimum length:
1.string
Response (200)
Success.string
required
string
required
Errors
Failed JSON responses contain anerror string. Check the HTTP status before reading a successful result. See job handling for interrupted or uncertain submissions.
| Status | Meaning |
|---|---|
400 | Invalid request. |
500 | Request failed. |
curl --fail-with-body -X POST "$RAWCHUNKS_API/api/generation/format" \
-H "Content-Type: application/json" \
--data "$(jq -nc '{
"prompt": "acid house with a dry kick",
"lyrics": "[Verse]\nThe city hums below"
}')"
⌘I